스템 분리와 트랙 추가
curl --request POST \
--url https://toapis.com/v1/music/generations/stems \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"task_id": "<string>",
"audio_index": 123,
"gpt_description": "<string>",
"custom": true,
"prompt": "<string>",
"max_mode": true
}
'import requests
url = "https://toapis.com/v1/music/generations/stems"
payload = {
"model": "<string>",
"task_id": "<string>",
"audio_index": 123,
"gpt_description": "<string>",
"custom": True,
"prompt": "<string>",
"max_mode": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
task_id: '<string>',
audio_index: 123,
gpt_description: '<string>',
custom: true,
prompt: '<string>',
max_mode: true
})
};
fetch('https://toapis.com/v1/music/generations/stems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>",
"status": "<string>"
}Suno 음악
스템 분리와 트랙 추가
stems/stemsAll 분리, addStem/addVocals/addInstrumental 트랙 생성
POST
/
v1
/
music
/
generations
/
stems
스템 분리와 트랙 추가
POST https://toapis.com/v1/music/generations/{operation}
string
필수
고정
"suno"string
필수
원본 태스크 ID
number
트랙 번호
스템 분리
| operation | 설명 | 가격 |
|---|---|---|
stems | 보컬/반주 2분리 | $0.10 |
stemsAll | 전체 악기 개별 분리 | $0.24 |
result.music[]의 audio_url로 반환되며 CDN에 미러링됩니다.
curl --request POST \
--url https://toapis.com/v1/music/generations/stemsAll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{"model":"suno","task_id":"tsk_aud_xxx"}'
트랙 추가(각 0.05,Max0.10)
addVocals/addInstrumental/addStem의 task_id는 uploadTask 산출물만 가능합니다.| operation | 설명 |
|---|---|
addVocals | 업로드 소스에 보컬 생성 |
addInstrumental | 업로드 소스에 반주 생성 |
addStem | 악기 트랙 1개 추가 |
string
목표 설명(custom=false일 때 필수)
boolean
string
custom=true일 때 가사
boolean
Max 티어
curl --request POST \
--url https://toapis.com/v1/music/generations/addVocals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{"model":"suno","task_id":"tsk_aud_upload_task","gpt_description":"add dreamy female vocals"}'
Response
string
새 태스크 ID
string
submitted